# std::binary_function< _Arg1, _Arg2, _Result > Struct Template Reference
[Functor Base Classes]

`#include <stl_function.h>`

Inheritance diagram for std::binary_function:

[legend]
List of all members.

## Public Types

typedef _Arg1 | first_argument_type
| the type of the first argument (no surprises here). More...
typedef _Arg2 | second_argument_type
| the type of the second argument. More...
typedef _Result | result_type
| type of the return type. More...

## Detailed Description

### template<class _Arg1, class _Arg2, class _Result>
struct std::binary_function< _Arg1, _Arg2, _Result >

This is one of the functor base classes.

Definition at line 111 of file stl_function.h.

## Member Typedef Documentation

template<class _Arg1, class _Arg2, class _Result>
typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

| the type of the first argument (no surprises here). Definition at line 112 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>
typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

| type of the return type. Definition at line 114 of file stl_function.h.

template<class _Arg1, class _Arg2, class _Result>
typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

| the type of the second argument. Definition at line 113 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h